commit 26d90d189dbad5890090340a5d4f478f3b63af0a
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Thu Mar 26 16:05:19 2020 +0000

    Fix argument checking for ${readsocket }
    
    (cherry picked from commit c06ddd664f4a0f6e485f6f9f6b5086aa4719a441)

diff --git a/src/src/expand.c b/src/src/expand.c
index f489c5b8b..df3669ca0 100644
--- a/src/src/expand.c
+++ b/src/src/expand.c
@@ -5070,8 +5070,9 @@ while (*s != 0)
 	uschar * item;
 	int sep = 0;
 
-	item = string_nextinlist(&list, &sep, NULL, 0);
-        if ((timeout = readconf_readtime(item, 0, FALSE)) < 0)
+	if (  !(item = string_nextinlist(&list, &sep, NULL, 0))
+	   || !*item
+	   || (timeout = readconf_readtime(item, 0, FALSE)) < 0)
           {
           expand_string_message = string_sprintf("bad time value %s", item);
           goto EXPAND_FAILED;

